Subject: RE: Re: Problems with .exe files
From: "Kris Thielemans" <[email-masked]>
To: "Kris Thielemans" <[email-masked]>, <[email-masked]>
Cc: "Gnuwin" <[email-masked]>
Date: Thu, 16 Oct 2003 13:31:14 +0100

oops. that went off too fast. ignore previous email. sorry

Hi Andrew

> Why would you think that you can cp t as just "t" but you'd 
> have to touch "t.exe"? 
> The real name of the file is t.exe, for touch, cp, rm, etc. The 
> only time that just "t" suffices is for exec.
> 
Because it used to work on older cygwin. I suspect exactly to get 
Makefile and other automated processes tow rok, and I quite like it.
 
For example on an older cygwin (1.3.22-1)

 touch t.exe
 cp t a
 ls a   -> says a exists
 ls a*  -> says a.exe exists

However, I now notice that 

 rm t

doesn't work on that version as well, so that's not new behaviour.

Kris

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/